Bug 1258111 - Review Request: php-phpseclib - PHP Secure Communications Library
Review Request: php-phpseclib - PHP Secure Communications Library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-29 04:02 EDT by François Kooman
Modified: 2015-09-27 14:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-27 03:27:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpci.log (13.14 KB, text/plain)
2015-09-07 07:06 EDT, Remi Collet
no flags Details
review.txt (6.72 KB, text/plain)
2015-09-07 07:07 EDT, Remi Collet
no flags Details

  None (edit)
Description François Kooman 2015-08-29 04:02:55 EDT
Spec URL: https://fkooman.fedorapeople.org/php-phpseclib/php-phpseclib.spec
SRPM URL: https://fkooman.fedorapeople.org/php-phpseclib/php-phpseclib-2.0.0-1.fc22.src.rpm
Description: MIT-licensed pure-PHP implementations of an arbitrary-precision integer arithmetic library, fully PKCS#1 (v2.1) compliant RSA, DES, 3DES, RC4, Rijndael, AES, Blowfish, Twofish, SSH-1, SSH-2, SFTP, and X.509
Fedora Account System Username: fkooman
Comment 1 François Kooman 2015-09-03 04:23:47 EDT
Spec URL: https://fkooman.fedorapeople.org/php-phpseclib/php-phpseclib.spec
SRPM URL: https://fkooman.fedorapeople.org/php-phpseclib/php-phpseclib-2.0.0-3.fc22.src.rpm

* Wed Sep 02 2015 François Kooman <fkooman@tuxed.net> - 2.0.0-3
- apply patch for test to avoid loading class that is now autoloaded

* Wed Sep 02 2015 François Kooman <fkooman@tuxed.net> - 2.0.0-2
- add autoload script
- make use of autoload script when running tests during build
- fix double inclusion of directory
Comment 2 François Kooman 2015-09-07 06:39:11 EDT
Spec URL: https://fkooman.fedorapeople.org/php-phpseclib/php-phpseclib.spec
SRPM URL: https://fkooman.fedorapeople.org/php-phpseclib/php-phpseclib-2.0.0-4.fc22.src.rpm

COPR build: https://copr.fedoraproject.org/coprs/fkooman/indiecert/build/113610/

* Sun Sep  6 2015 Remi Collet <remi@fedoraproject.org> - 2.0.0-4
- change source0 to commit reference
- add BR for better test coverage
- add needed backport stuff for EL-5 in #remirepo
Comment 3 Remi Collet 2015-09-07 07:06:34 EDT
Created attachment 1070948 [details]
phpci.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:09:02 CEST static analyze results
Comment 4 Remi Collet 2015-09-07 07:07:00 EDT
Created attachment 1070949 [details]
review.txt

Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Comment 5 Remi Collet 2015-09-07 07:07:39 EDT
No blocker.

=== APPROVED ===

P.S. feel free to add me as co-owner.
Comment 6 François Kooman 2015-09-07 11:36:40 EDT
New Package SCM Request
=======================
Package Name: php-phpseclib
Short Description: PHP Secure Communications Library
Upstream URL: http://phpseclib.sourceforge.net/
Owners: fkooman remi
Branches: f21 f22 f23 el6 epel7
InitialCC:
Comment 7 Remi Collet 2015-09-07 11:52:28 EDT
@François, please don't build for EPEL-6 for now, else you will be hit by bug #1260315 (and this package is needed by phpMyAdmin 4.4 which is only in Fedora and EPEL-7)
Comment 8 François Kooman 2015-09-07 11:58:01 EDT
Okay, I'll leave el6 for now, thanks for the warning!
Comment 9 Gwyn Ciesla 2015-09-07 19:23:59 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2015-09-08 05:37:45 EDT
php-phpseclib-2.0.0-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15310
Comment 11 Fedora Update System 2015-09-08 05:40:22 EDT
php-phpseclib-2.0.0-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15311
Comment 12 Fedora Update System 2015-09-08 05:43:04 EDT
php-phpseclib-2.0.0-4.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15312
Comment 13 Fedora Update System 2015-09-08 05:49:45 EDT
php-phpseclib-2.0.0-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7988
Comment 14 Fedora Update System 2015-09-08 13:51:23 EDT
php-phpseclib-2.0.0-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-phpseclib'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15310
Comment 15 Fedora Update System 2015-09-08 17:21:58 EDT
php-phpseclib-2.0.0-4.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-phpseclib'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15312
Comment 16 Fedora Update System 2015-09-08 17:25:53 EDT
php-phpseclib-2.0.0-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-phpseclib'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15311
Comment 17 Fedora Update System 2015-09-09 19:50:56 EDT
php-phpseclib-2.0.0-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-phpseclib'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7988
Comment 18 Fedora Update System 2015-09-27 03:27:46 EDT
php-phpseclib-2.0.0-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-09-27 09:47:22 EDT
php-phpseclib-2.0.0-4.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2015-09-27 11:49:53 EDT
php-phpseclib-2.0.0-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2015-09-27 14:22:03 EDT
php-phpseclib-2.0.0-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.